:root {
    --bg: linear-gradient(45deg, rgb(209, 127, 140), rgb(140, 8, 201), rgba(159, 33, 175, 0.877), rgb(82, 224, 141));
    --borderColor: rgb(211, 200, 200);
}


body {
    padding: 0;
    margin: 0;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    /* height: 100%; */
}

.background {
    /* background: url('./background-img.jpg') rgba(0, 0, 0, 0.61); */
    background: var(--bg);
    background-color: rgba(0, 0, 0, 0.61);
    background-repeat: no-repeat;
    background-size: cover;
    background-blend-mode: darken;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    filter: blur(3px);
    /* min-height: 100vmax; */
    height:140vh;

}

h2 {
    font-size: 30px;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background: rgba(58, 55, 55, 0.3);
    box-shadow: 0 0 15px rgb(255, 255, 255);
    border-radius: 15px;
    width: 500px;
    margin: 10vh auto;
    padding-bottom: 0.5rem;
}

form {
    padding: 10px;
    display: flex;
    flex-direction: column;
    width: 85%;
}

.form-item-container {
    width: 90%;
    background: transparent;
    margin: 10px auto;
    align-items: center;
    border-radius: 15px;
    border: 1px solid var(--borderColor);
}

legend {
    font-size: 150%;
    margin: 0 auto;
    font-weight: 500;
}

.form-item {
    display: flex;
    width: 90%;
    background: transparent;
    margin: 10px auto;
    align-items: center;
    border-radius: 15px;
    border-bottom: 1px solid var(--borderColor);
    /* transition: border 1s ease; */
}

.form-item:hover {
    border: 2px solid var(--borderColor);
    cursor: pointer;
}

/* input,select,option{
    font-size: 18px;
    width: 80%;
    height: 30px;
    outline: none;
    background: transparent;
    border: none;
    margin: auto;
    color: white;
} */
input {
    font-size: 18px;
    width: 80%;
    height: 30px;
    outline: none;
    background: transparent;
    border: none;
    color: rgb(255, 255, 255);
}

option {
    font-size: 18px;
    width: 80%;
    height: 30px;
    outline: none;
    background: transparent;
    border: none;
    margin: auto;
    color: rgb(2, 2, 2);
}

select {
    font-size: 18px;
    width: 80%;
    height: 30px;
    outline: none;
    background: transparent;
    /* border-radius: 15px */
    border: none;
    /* margin: auto; */
    color: rgb(202, 202, 202);
}

span {
    margin: 5px;
    color: rgb(172, 172, 172);
    cursor: default;
    user-select: none;
    background: rgba(85, 81, 81, 0.637);
    padding: 5px;
    border-radius: 15px;
}

button[type="submit"] {
    width: 60%;
    font-size: 20px;
    margin: 10px auto;
    padding: 10px 16px;
    color: white;
    background: rgba(122, 123, 116, 0.72);
    border: none;
    border-radius: 10px;
    text-align: center;
    position: relative;
    z-index: 1;
}

/* button[type="submit"]:hover {
    background: rgb(172, 134, 8);
} */
button[type="submit"]::after {
    content: '';
    position: absolute;
    inset: 0;
    background-color: rgba(116, 90, 6, 0.616);
    width: 100%;
    height: 100%;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 200ms ease-in;
    border-radius: 10px;
    z-index: -1;
}

button[type="submit"]:hover::after {
    transform: scaleX(100%);
    transform-origin: left;
}

p:first-of-type {
    font-size: 18px;
    margin: 0;
}

p {
    font-size: 18px;
    margin: 5px;
}

a {
    color: white;
    text-decoration: none;
    position: relative;
    /* border: 2px solid red; */
    
}

a::after {
    content: '';
    position: absolute;
    inset: 0;
    top: 90%;
    width: 100%;
    height: 2px;
    background-color: grey;
    transform: scaleX(0);
    transition: transform 200ms;
    transform-origin:center;
}

a:hover {
    color: grey;
}

a:hover::after {

    align-items: center;
    transform: scaleX(20%);
    cursor: pointer;
}

#psw {

    margin-right: 1rem;
    border: solid 2px rgb(167, 167, 167);
    border-radius: 50%;
    aspect-ratio: 1;
    width: 1rem;
    position: relative;
}


@media screen and (max-width:550px) {
    .container {
        width: 90%;
    }

}
 input[type="checkbox"] {
    display: none;
  }

 input[type="checkbox"] + label {
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    user-select: none;
  }

 input[type="checkbox"] + label::before {
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    border-radius: 3px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background-color: white;
  }

 input[type="checkbox"]:checked + label::before {
    content: '✓';
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    color: white;
    background-color: #4caf50;
    border: none;
  }